version: "3.7"

services:
  node:
    build: docker/node
    image: expo-node
    container_name: expo_node
    working_dir: /srv
    user: node
    ports:
      - 19000:19000
      - 19001:19001
      - 19002:19002
    environment:
      - EXPO_DEVTOOLS_LISTEN_ADDRESS=0.0.0.0
      - CHOKIDAR_USEPOLLING=true
    command: tail -f /etc/hosts
    volumes:
    - ./app:/srv
